%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  nasapower
%global packver   4.2.5
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          4.2.5
Release:          1%{?dist}%{?buildtag}
Summary:          NASA POWER API Client

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-tibble >= 3.0.2
BuildRequires:    R-CRAN-cli 
BuildRequires:    R-CRAN-crul 
BuildRequires:    R-CRAN-lubridate 
BuildRequires:    R-CRAN-readr 
BuildRequires:    R-CRAN-rlang 
BuildRequires:    R-CRAN-yyjsonr 
Requires:         R-CRAN-tibble >= 3.0.2
Requires:         R-CRAN-cli 
Requires:         R-CRAN-crul 
Requires:         R-CRAN-lubridate 
Requires:         R-CRAN-readr 
Requires:         R-CRAN-rlang 
Requires:         R-CRAN-yyjsonr 

%description
An API client for NASA POWER global meteorology, surface solar energy and
climatology data API.  POWER (Prediction Of Worldwide Energy Resources)
data are freely available for download with varying spatial resolutions
dependent on the original data and with several temporal resolutions
depending on the POWER parameter and community. This work is funded
through the NASA Earth Science Directorate Applied Science Program.  For
more on the data themselves, the methodologies used in creating, a
web-based data viewer and web access, please see
<https://power.larc.nasa.gov/>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
